.section-newsletter {
    width: 100%;
    position: relative;
    margin-bottom: 5em;

    @media (min-width: $md) {
        height: 75%;
        margin: 0;
        padding: 2.5% 2.5% 7em;
    }

    @media (min-width: $lg) {
        height: 100%;
        padding: 5% 10% 10em;
    }

    .container {
        &__fluid {
            height: 100%;
        }
    }

    &__cover {
        padding: 5.5em 5% 5%;
        height: 100%;
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;

        @media (min-width: $md) {
            padding: 10%;
            justify-content: space-between;
        }

        background-size: cover;
        background-position-y: 0%;
        background-position-x: 50%;
        background-repeat: no-repeat;
        background-position: center center;
    }

    .information {
        color: $white;
        z-index: 1;

        &__description {
            display: none;

            @media (min-width: $sm) {
                display: block;
            }
        }
    }

    &__overlay {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: rgba(0, 0, 0, 0.301);
    }

    &__sign-up {
        position: relative;
        margin-top: 2em;
        margin-bottom: -5em;

        @media (min-width: $md) {
            position: absolute;
            margin: 0;
            bottom: -5em;
            right: 5%;
        }

        .form {
            background-color: $white;
            padding: 10% 10% 7em 10%;

            @media (min-width: $md) {
                width: 30em;
                padding: 10% 15% 30% 15%;
            }

            &__input {
                outline: 0;
                border: 0;
                width: 100%;
                padding: 1.5em 0;
                letter-spacing: 1px;
                color: $black;
                border-bottom: 1px solid $gallery;
                font-weight: 300;
                font-size: 0.9rem;

                @media (min-width: $md) {
                    padding: 2em 0;
                }

                &::placeholder {
                    color: $black;
                    text-transform: uppercase;
                    font-size: 0.75rem;
                }
            }

            &__button {
                cursor: pointer;
                border: 0;
                outline: 0;
                color: $white;
                padding: 2em 0;
                background-color: $black;
                text-transform: uppercase;
                position: absolute;
                font-size: 0.8rem;
                bottom: 0;
                left: 0;
                width: 100%;

                @media (min-width: $md) {
                    font-size: 1rem;
                    bottom: -2px;
                }
            }
        }
    }
}
